Skip to content

Material Dimension

The material dimension resource.

Base/materialDimension
GET/materialDimension

List material dimensions

Retrieve a paginated list of material dimensions. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GET/materialDimension
curl --request GET \
  --url '<your-host>/materialDimension?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "materialFormId": "xyz789",
    "name": "Example",
    "isMetric": true,
    "companyId": "xyz789"
  }
]
GET/materialDimension

Retrieve a material dimension

Fetch a single material dimension by filtering on `id`.

Query parameters

idstring

Match on the material dimension's `id`, e.g. `eq.{id}`.

GET/materialDimension
curl --request GET \
  --url '<your-host>/materialDimension?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "materialFormId": "xyz789",
  "name": "Example",
  "isMetric": true,
  "companyId": "xyz789"
}
POST/materialDimension

Create a material dimension

Create a new material dimension.

Body parameters

materialFormIdstringrequired

References materialForm.id

namestringrequired
isMetricbooleanrequired
companyIdstring

References company.id

POST/materialDimension
curl --request POST \
  --url <your-host>/materialDimension \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"materialFormId":"xyz789","name":"Example","isMetric":true}'
Response
{
  "id": "abc123def456",
  "materialFormId": "xyz789",
  "name": "Example",
  "isMetric": true,
  "companyId": "xyz789"
}
PATCH/materialDimension

Update a material dimension

Update an existing material dimension, matched on `id`.

Body parameters

materialFormIdstringrequired

References materialForm.id

namestringrequired
isMetricbooleanrequired
companyIdstring

References company.id

PATCH/materialDimension
curl --request PATCH \
  --url '<your-host>/materialDimension?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"materialFormId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "materialFormId": "xyz789",
  "name": "Example",
  "isMetric": true,
  "companyId": "xyz789"
}
DELETE/materialDimension

Delete a material dimension

Delete a material dimension, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the material dimension to delete, e.g. `eq.{id}`.

DELETE/materialDimension
curl --request DELETE \
  --url '<your-host>/materialDimension?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content